aboutsummaryrefslogtreecommitdiff
path: root/scripts/uboot-script-gen
diff options
context:
space:
mode:
authorStefano Stabellini2019-10-21 16:08:37 -0700
committerStefano Stabellini2019-10-21 16:12:49 -0700
commit2ce7bf41d22dd5bc5cdf1f8f65b00fe9d403a9a0 (patch)
tree0c9fdb3948536dcafe3c9832bbd53983de819c21 /scripts/uboot-script-gen
parentb7bde6942c2db1c213c09fd0bcf85d44c27afe0d (diff)
Pass the config file to uboot-script-gen as parameter
Signed-off-by: Stefano Stabellini <stefano.stabellini@xilinx.com>
Diffstat (limited to 'scripts/uboot-script-gen')
-rw-r--r--scripts/uboot-script-gen7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/uboot-script-gen b/scripts/uboot-script-gen
index e72f73e..7f217b6 100644
--- a/scripts/uboot-script-gen
+++ b/scripts/uboot-script-gen
@@ -130,7 +130,12 @@ function check_compressed_file_type()
check_file_type $filename "$type"
}
-. config
+if test $# -lt 1
+then
+ echo "Usage $0 <config_file>"
+ exit 1
+fi
+source $1
rm -f $UBOOT_SOURCE $UBOOT_SCRIPT
memaddr=$(( $MEMORY_START + $offset ))